﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts
{
    public interface IEmployeeReportLogic
    {
        List<ReportProductByDateViewModel> GetProductsByDate(ReportDateBindingModel model);
        List<ReportPCByDateViewModel> GetPCsByDate(ReportDateBindingModel model);
        List<ReportConsignmentsViewModel> GetConsignmentsByComponents(ReportComponentsBindingModel model);

        void SaveProductsToPdfFile(ReportDateBindingModel model);
        void SavePCsToPdfFile(ReportDateBindingModel model);
    }
}
